/* sound generation and timing interrupt note values
 *
 * Last change: 10 Jul 92  JMG
 *
 * Written by:
 *
 *     Nels Anderson
 *    92 Bishop Drive
 * Framingham, MA  01701
 *
 * Translated to (Borland) C by:
 *
 *   John Gallant
 *   1249 Cedar Creek Circle
 *   Dayton OH 45459
 *
 * Released to the public domain
 */

/* Note Values:
 *
 * Use these constants to get the proper values for notes.
 * The first character is the note name.
 * S indicates a sharp, N natural, and F flat.
 * The final number indicates the octave (changing at C natural)
 */

#define CN3 13
#define CS3 14
#define DN3 15
#define DS3 16
#define EN3 16
#define FN3 17
#define FS3 19
#define GN3 20
#define GS3 21
#define AN3 22
#define AS3 23
#define BN3 25

#define CN4 26
#define CS4 28
#define DN4 29
#define DS4 31
#define EF4 31
#define EN4 33
#define FF4 33
#define FN4 35
#define FS4 37
#define GN4 39
#define GS4 42
#define AF4 42
#define AN4 44
#define AS4 47
#define BF4 47
#define BN4 49

#define CN5 52
#define CS5 55
#define DF5 55
#define DN5 59
#define DS5 62
#define EN5 66
#define FN5 70
#define FS5 74
#define GN5 78
#define GS5 83
#define AF5 83
#define AN5 88
#define AS5 93
#define BF5 93
#define BN5 99

#define CN6 105
#define CS6 111
#define DN6 117
#define DS6 124
#define EN6 133
#define FN6 140
#define FS6 148
#define GN6 157
#define GS6 166
#define AN6 176
#define AS6 186
#define BN6 198

#define CN7 209
#define CS7 222
#define DN7 235
#define DS7 249
